在Ubuntu 16.04 LTS上編譯並安裝最新的Pidgin 2.11.0

皮金 是一個免費的開源聊天客戶端,可用於同時連接AIM,MSN,Yahoo,Google Talk,ICQ和許多其他聊天網絡。 它適用於Linux,Mac OS X和Windows。 最新穩定版 彼丁2.11.0解決了許多安全問題的文檔於2016年6月20日發布。

在Ubuntu 16.04 LTS上編譯並安裝最新的Pidgin 2.11.0

以下過程也適用於基於以下情況的發行版: Ubuntu 16.04, 如 Linux Mint 18基本OS Loki

Pidgin包含在Ubuntu軟件存儲庫中。 您可以使用以下命令進行安裝:

sudo apt install pidgin

但是,它是2.10.0版本。 要安裝最新的 彼丁2.11.0 在Ubuntu 16.04上,我們必須從源代碼進行編譯,這是因為Pidgin不為Linux發行版提供預構建的二進制文件。

轉到Pidgin官方網站並下載源代碼。 或者,您可以通過運行以下命令在終端中下載它:

wget http://pilotfiber.dl.sourceforge.net/project/pidgin/Pidgin/2.11.0/pidgin-2.11.0.tar.bz2

下載後,打開一個終端窗口,然後 cd 進入下載文件夾。 然後運行以下命令以提取 tar.bz2 文件。

tar xvf pidgin-2.11.0.tar.bz2

將創建一個新目錄,導航到該目錄。

cd pidgin-2.11.0/

安裝構建依賴項:

sudo apt install libxss-dev libgtkspell-dev libgstreamer0.10-dev libfarstream-0.1-dev libgstreamer-plugins-base0.10-dev libidn11-dev libmeanwhile-dev libavahi-glib-dev libavahi-client-dev network-manager-dev libperl-dev libnss3-dev tcl8.4-dev tk8.4-dev

然後運行configure shell腳本。

./configure

配置完成後,運行make來編譯pidgin 2.11.0軟件包。

make

之後,運行以下命令安裝pidgin 2.11.0。

sudo make install

要檢查您的Pidgin版本,請運行:

pidgin -v

現在,您可以從Unity Dash或應用程序菜單啟動Pidgin 2.11.0。

pidgin互聯網通訊工具2.11.0

要添加帳戶,請轉到 帳目 > 管理帳戶 > 。 例如,添加AIM帳戶。

pidgin添加目標帳戶

請注意,Facebook(XMPP)在Pidgin中不再起作用。 對於Linux用戶,適用於桌面的Facebook Messenger是更好的選擇。

Pidgin提供了很好的代理支持:HTTP,Socks 4,Socks5,Tor代理,您可以為其命名。

pidgin代理設置

就是這樣! 我希望本文能幫助您在Ubuntu 16.04上安裝Pidgin 2.11.0。 如果您認為這篇文章很有用,請訂閱我們的免費新聞通訊,或在Google +,Twitter或喜歡我們的Facebook頁面上關注我們。 感謝造訪!

Sidebar